[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'ActnList' (#lcl)

# TCustomActionList.Create

Constructor for the class instance.

## Declaration

Source position: actnlist.pas line 103

`public constructor TCustomActionList.Create(`
`AOwner: TComponent`
`); override;`

## Arguments

`AOwner` |  | Owner of the class instance.

## Description

Create is the constructor for TCustomActionList, and calls the inherited constructor.

Create allocates resources needed for members in the class instance, and assigns the OnChange event handler used in the internal TChangeLink instance when the Images property is altered.

Create sets the default value in the State property to asNormal.

## See also

TCustomActionList.Images |  | Image list with images for the actions in the list.
TChangeLink.OnChange |  | Event handler signalled for a change in the image list.
TComponent.Create